<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: revelation_point_system_admin.php
| CVS Version: 1.61
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."revelation_point_system/infusion_db.php";

if (!checkrights("RPS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."revelation_point_system/locale/".$settings['locale'].".php")) {
	include INFUSIONS."revelation_point_system/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."revelation_point_system/locale/Polish.php";
}

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['rps_002'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['rps_003'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['rps_026'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

if (isset($_POST['savesettings'])) {
	$error = 0;
	$result = dbquery("UPDATE ".DB_RPS_SETTINGS." SET rpss_value='".(isnum($_POST['newthread']) && $_POST['newthread'] > 0 ? $_POST['newthread'] : "5")."' WHERE rpss_name='newthread'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_RPS_SETTINGS." SET rpss_value='".(isnum($_POST['reply']) && $_POST['reply'] > 0 ? $_POST['reply'] : "2")."' WHERE rpss_name='reply'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_RPS_SETTINGS." SET rpss_value='".(isnum($_POST['shoutbox']) && $_POST['shoutbox'] > 0 ? $_POST['shoutbox'] : "1")."' WHERE rpss_name='shoutbox'");
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

$rps = array();
$result = dbquery("SELECT * FROM ".DB_RPS_SETTINGS);
while ($data = dbarray($result)) {
	$rps[$data['rpss_name']] = $data['rpss_value'];
}

opentable("".$locale['rps_001']."".$locale['rps_version']."");
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_004'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='newthread' value='".$rps['newthread']."' maxlength='2' class='textbox' style='width:50px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_005'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='reply' value='".$rps['reply']."' maxlength='2' class='textbox' style='width:50px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_010'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='shoutbox' value='".$rps['shoutbox']."' maxlength='2' class='textbox' style='width:50px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['rps_008']."' class='button' />\n</td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

if (isset($_POST['addpoints'])) {
$error = 2;
$result = dbquery("UPDATE ".DB_USERS." SET user_points=user_points+".$_POST['addtake']." WHERE user_name='".$_POST['usernick']."'");
redirect(FUSION_SELF.$aidlink."&error=".$error);
}
if (isset($_POST['takepoints'])) {
$error = 2;
$result = dbquery("UPDATE ".DB_USERS." SET user_points=user_points-".$_POST['addtake']." WHERE user_name='".$_POST['usernick']."'");
redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable("".$locale['rps_021']."");
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_022'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='usernick' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_023'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='addtake' maxlength='2' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='addpoints' value='".$locale['rps_024']."' class='button' /> <input type='submit' name='takepoints' value='".$locale['rps_025']."' class='button' />\n</td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>